Index: dia/dia-0.86/app/menus.c
diff -u dia/dia-0.86/app/menus.c:1.1.1.1 dia/dia-0.86/app/menus.c:1.2
--- dia/dia-0.86/app/menus.c:1.1.1.1	Tue Aug  8 15:12:48 2000
+++ dia/dia-0.86/app/menus.c	Tue Aug 29 15:07:20 2000
@@ -500,7 +500,11 @@
   g_string_append(path, _("/Tools/"));
   len = path->len;
   for (i = 0; i < num_tools; i++) {
+#ifdef USE_XIM
+    g_string_append(path, gettext(tool_data[i].menuitem_name));
+#else
     g_string_append(path, tool_data[i].menuitem_name);
+#endif
     menuitem = menus_get_item_from_path(path->str);
     if (menuitem != NULL)
       gtk_signal_connect(GTK_OBJECT(menuitem), "activate",
Index: dia/dia-0.86/app/render_eps.c
diff -u dia/dia-0.86/app/render_eps.c:1.2 dia/dia-0.86/app/render_eps.c:1.5
--- dia/dia-0.86/app/render_eps.c:1.2	Sat Aug 26 21:42:41 2000
+++ dia/dia-0.86/app/render_eps.c	Mon Aug 28 13:47:35 2000
@@ -989,7 +989,7 @@
   int i;
   int s;
   char *buff;
- 
+
   _pos = *pos;
   if(alignment == ALIGN_RIGHT) {
     _pos.x -= font_string_width(text, renderer->font, renderer->font_height);
@@ -998,18 +998,9 @@
     _pos.x -= font_string_width(text, renderer->font, renderer->font_height) / 2;
     alignment = ALIGN_LEFT;
   }
-  buff = (char *)g_malloc(sizeof(char) * strlen(text) + 1);
-  for(i=0, s=0; i<strlen(text);i++,s++) {
-    if(s==0) {
-      buff[s] = text[i];
-    } else if (text[i-1] < 0 && text[i] < 0) {
-      /* both are 16bits char */
-      buff[s] = text[i];
-    } else if (text[i-1] > 0 && text[i] > 0) {
-      /* for ASCII char */
-      buff[s] = text[i];
-    } else {
-      /* 'text->line[i][j]' is a boundary between single and double chars */
+  buff = (char *)g_malloc0(sizeof(char) * strlen(text) + 1);
+  for(i=1, s=1; i<strlen(text); i++,s++) {
+    if (text[i-1] * text[i] < 0) { /* when finding the boundary */
       if (text[i-1] > 0) {
  	/* printing ASCII chars */
 	fprintf(renderer->file, "/%s-latin1 ff %f scf sf\n", font_get_psfontname(renderer->font), (double)renderer->font_height);
@@ -1017,14 +1008,14 @@
  	/* printging 16bits chars */
 	fprintf(renderer->file, "/%s-EUC-H ff %f scf sf\n", font_get_mbpsfontname(renderer->font), (double)renderer->font_height);
       }
+      strncpy(buff, &text[i-s], s);
       buff[s] = '\0';
+      s = 0;
       local_draw_string(renderer,
- 		  buff,
- 		  &_pos, alignment,
- 		  color);
+			buff,
+			&_pos, alignment,
+			color);
       _pos.x += font_string_width(buff, renderer->font, renderer->font_height);
-      s = 0;
-      buff[s] = text[i];
     }
   }
   if (text[i-1] > 0) {
@@ -1034,11 +1025,12 @@
     /* printging 16bits chars */
     fprintf(renderer->file, "/%s-EUC-H ff %f scf sf\n", font_get_mbpsfontname(renderer->font), (double)renderer->font_height);
   }
+  strncpy(buff, &text[i-s], s);
   buff[s] = '\0';
   local_draw_string(renderer,
- 	      buff,
-	      &_pos, alignment,
- 	      color);
+		    buff,
+		    &_pos, alignment,
+		    color);
   g_free(buff);
 }
 
Index: dia/dia-0.86/app/render_libart.c
diff -u dia/dia-0.86/app/render_libart.c:1.2 dia/dia-0.86/app/render_libart.c:1.3
--- dia/dia-0.86/app/render_libart.c:1.2	Sat Aug 26 14:18:32 2000
+++ dia/dia-0.86/app/render_libart.c	Tue Aug 29 15:07:02 2000
@@ -1113,7 +1113,6 @@
 {
   SuckFont *suckfont;
   int x, y;
-  char text[2];
   int lbearing, rbearing, ch_width, ascent, descent;
   GdkPixmap *pixmap;
   GdkColor black, white;
@@ -1207,9 +1206,6 @@
   SuckFont *suckfont;
   double xpos, ypos;
   guint32 rgba;
-#ifdef USE_XIM
-  SuckChar *ch;
-#endif
 
   ddisplay_transform_coords(ddisp, pos->x, pos->y,
 			    &x, &y);
@@ -1239,20 +1235,23 @@
   
   len = strlen(text);
 #ifdef USE_XIM
-  ch = &suckfont->chars[0];
-  art_affine_translate(affine, xpos, ypos);
-  art_rgb_bitmap_affine(renderer->rgb_buffer,
-			0, 0,
-			renderer->renderer.pixel_width,
-			renderer->renderer.pixel_height,
-			renderer->renderer.pixel_width*3,
-			suckfont->bitmap + (ch->bitmap_offset >> 3),
-			ch->width,
-			suckfont->bitmap_height,
-			suckfont->bitmap_width >> 3,
-			rgba,
-			affine,
-			ART_FILTER_NEAREST, NULL);
+  {
+    SuckChar *ch;
+    ch = &suckfont->chars[0];
+    art_affine_translate(affine, xpos, ypos);
+    art_rgb_bitmap_affine(renderer->rgb_buffer,
+			  0, 0,
+			  renderer->renderer.pixel_width,
+			  renderer->renderer.pixel_height,
+			  renderer->renderer.pixel_width*3,
+			  suckfont->bitmap + (ch->bitmap_offset >> 3),
+			  ch->width,
+			  suckfont->bitmap_height,
+			  suckfont->bitmap_width >> 3,
+			  rgba,
+			  affine,
+			  ART_FILTER_NEAREST, NULL);
+  }
 #else
   for (i = 0; i < len; i++) {
     SuckChar *ch;
Index: dia/dia-0.86/lib/font.c
diff -u dia/dia-0.86/lib/font.c:1.11 dia/dia-0.86/lib/font.c:1.14
--- dia/dia-0.86/lib/font.c:1.11	Sat Aug 26 21:42:42 2000
+++ dia/dia-0.86/lib/font.c	Tue Aug 29 15:06:14 2000
@@ -101,98 +101,98 @@
 #ifdef USE_XIM
   { "Times-Roman",
     { "Times-Roman", "Ryumin-Light" },
-    { "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   }, 
   { "Times-Italic",
     { "Times-Italic", "Ryumin-Light" },
-    { "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   }, 
   { "Times-Bold",
-    { "Times-Bold", "Ryumin-Light" },
-    { "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Times-Bold", "GothicBBB-Medium" },
+    { "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-bold-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   }, 
   { "Times-BoldItalic",
-    { "Times-BoldItalic", "Ryumin-Light" },
-    { "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Times-BoldItalic", "GothicBBB-Medium" },
+    { "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-bold-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   }, 
   { "AvantGarde-Book",
     { "AvantGarde-Book", "Ryumin-Light" },
-    { "-adobe-avantgarde-book-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-avantgarde-book-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-schumacher-clean-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "AvantGarde-BookOblique",
     { "AvantGarde-BookOblique", "Ryumin-Light" },
-    { "-adobe-avantgarde-book-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-avantgarde-book-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-schumacher-clean-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "AvantGarde-Demi",
-    { "AvantGarde-Demi", "Ryumin-Light" },
-    { "-adobe-avantgarde-demibold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "AvantGarde-Demi", "GothicBBB-Medium" },
+    { "-adobe-avantgarde-demibold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-schumacher-clean-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "AvantGarde-DemiOblique",
-    { "AvantGarde-DemiOblique", "Ryumin-Light" },
-    { "-adobe-avantgarde-demibold-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "AvantGarde-DemiOblique", "GothicBBB-Medium" },
+    { "-adobe-avantgarde-demibold-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-schumacher-clean-bold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-Light",
     { "Bookman-Light", "Ryumin-Light" },
-    { "-adobe-bookman-light-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-bookman-light-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-LightItalic",
     { "Bookman-LightItalic", "Ryumin-Light" },
-    { "-adobe-bookman-light-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-bookman-light-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-Demi",
-    { "Bookman-Demi", "Ryumin-Light" },
-    { "-adobe-bookman-demibold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Bookman-Demi", "GothicBBB-Medium" },
+    { "-adobe-bookman-demibold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-DemiItalic",
-    { "Bookman-DemiItalic", "Ryumin-Light" },
-    { "-adobe-bookman-demibold-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Bookman-DemiItalic", "GothicBBB-Medium" },
+    { "-adobe-bookman-demibold-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
 #ifndef G_OS_WIN32
   { "Courier",
     { "Courier", "Ryumin-Light" },
-    { "-adobe-courier-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-courier-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Courier-Oblique",
     { "Courier-Oblique", "Ryumin-Light" },
-    { "-adobe-courier-medium-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-courier-medium-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Courier-Bold",
-    { "Courier-Bold", "Ryumin-Light" },
-    { "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Courier-Bold", "GothicBBB-Medium" },
+    { "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Courier-BoldOblique",
-    { "Courier-BoldOblique", "Ryumin-Light" },
-    { "-adobe-courier-bold-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Courier-BoldOblique", "GothicBBB-Medium" },
+    { "-adobe-courier-bold-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
@@ -228,116 +228,116 @@
 #endif
   { "Helvetica",
     { "Helvetica", "Ryumin-Light" },
-    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Helvetica-Oblique",
     { "Helvetica-Oblique", "Ryumin-Light" },
-    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Helvetica-Bold",
-    { "Helvetica-Bold", "Ryumin-Light" },
-    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Helvetica-Bold", "GothicBBB-Medium" },
+    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Helvetica-BoldOblique",
-    { "Helvetica-BoldOblique", "Ryumin-Light" },
-    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Helvetica-BoldOblique", "GothicBBB-Medium" },
+    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Helvetica-Narrow",
     { "Helvetica-Narrow", "Ryumin-Light" },
-    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Helvetica-Narrow-Oblique",
     { "Helvetica-Narrow-Oblique", "Ryumin-Light" },
-    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Helvetica-Narrow-Bold",
-    { "Helvetica-Narrow-Bold", "Ryumin-Light" },
-    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Helvetica-Narrow-Bold", "GothicBBB-Medium" },
+    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Helvetica-Narrow-BoldOblique",
-    { "Helvetica-Narrow-BoldOblique", "Ryumin-Light" },
-    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Helvetica-Narrow-BoldOblique", "GothicBBB-Medium" },
+    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "NewCenturySchoolbook-Roman",
     { "NewCenturySchlbk-Roman", "Ryumin-Light" },
-    { "-adobe-new century schoolbook-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-new century schoolbook-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "NewCenturySchoolbook-Italic",
     { "NewCenturySchlbk-Italic", "Ryumin-Light" },
-    { "-adobe-new century schoolbook-medium-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-new century schoolbook-medium-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "NewCenturySchoolbook-Bold",
-    { "NewCenturySchlbk-Bold", "Ryumin-Light" },
-    { "-adobe-new century schoolbook-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "NewCenturySchlbk-Bold", "GothicBBB-Medium" },
+    { "-adobe-new century schoolbook-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "NewCenturySchoolbook-BoldItalic",
-    { "NewCenturySchlbk-BoldItalic", "Ryumin-Light" },
-    { "-adobe-new century schoolbook-bold-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "NewCenturySchlbk-BoldItalic", "GothicBBB-Medium" },
+    { "-adobe-new century schoolbook-bold-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       NULL
     }
   },
   { "Palatino-Roman",
     { "Palatino-Roman", "Ryumin-Light" },
-    { "-adobe-palatino-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-palatino-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-*-lucidabright-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Palatino-Italic",
     { "Palatino-Italic", "Ryumin-Light" },
-    { "-adobe-palatino-medium-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-palatino-medium-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-*-lucidabright-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Palatino-Bold",
-    { "Palatino-Bold", "Ryumin-Light" },
-    { "-adobe-palatino-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Palatino-Bold", "GothicBBB-Medium" },
+    { "-adobe-palatino-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-*-lucidabright-demibold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Palatino-BoldItalic",
-    { "Palatino-BoldItalic", "Ryumin-Light" },
-    { "-adobe-palatino-bold-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "Palatino-BoldItalic", "GothicBBB-Medium" },
+    { "-adobe-palatino-bold-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-*-lucidabright-demibold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Symbol",
     { "Symbol", "Ryumin-Light" },
     {
-      "-adobe-symbol-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+      "-adobe-symbol-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-*-symbol-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "ZapfChancery-MediumItalic",
     { "ZapfChancery-MediumItalic", "Ryumin-Light" },
-    { "-adobe-zapf chancery-medium-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-zapf chancery-medium-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-*-itc zapf chancery-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "ZapfDingbats",
     { "ZapfDingbats", "Ryumin-Light" },
-    { "-adobe-zapf dingbats-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-zapf dingbats-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
       "-*-itc zapf dingbats-*-*-*-*-%d-*-*-*-*-*-*-*"
     }
   },
@@ -858,10 +858,18 @@
 
   if ((iwidth==0) || (iheight==0))
     return 0.0;
-  
+
+#ifdef USE_XIM  
+  width_height = ((real)iwidth)/((real)iheight);
+
+  return width_height*height*(iheight/100.0);
+#else
   width_height = ((real)iwidth)/((real)iheight);
-  width_height *= 1.01;
-  return width_height*height*(iheight/100.0) + 0.2;
+  width_height *= 1.01; /* 1.01 included boundary width */
+
+  return width_height*height*(iheight/100.0) + 0.2; /* 0.2 is boundary width */
+#endif
+  
 }
 
 real
